> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/metrics/revenue

> View revenue over time, including the previous period and a 7 day offset, helping to spot trends



## OpenAPI

````yaml /openapi.json get /v1/report/insight/metrics/revenue
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/metrics/revenue:
    get:
      tags:
        - Reporting/Insights Hub/Metrics
        - public
      summary: /report/insight/metrics/revenue
      description: >-
        View revenue over time, including the previous period and a 7 day
        offset, helping to spot trends
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
            default: <integer>
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      dates:
                        type: array
                        items:
                          type: string
                      current_period:
                        type: array
                        items:
                          type: object
                          properties:
                            revenue:
                              type: number
                            impressions:
                              type: integer
                          required:
                            - revenue
                            - impressions
                      seven_day_offset:
                        type: array
                        items:
                          type: object
                          properties:
                            revenue:
                              type: number
                            impressions:
                              type: integer
                          required:
                            - revenue
                            - impressions
                      previous_period:
                        type: array
                        items:
                          type: object
                          properties:
                            revenue:
                              type: number
                            impressions:
                              type: integer
                          required:
                            - revenue
                            - impressions
                    required:
                      - currency
                      - dates
                      - current_period
                      - seven_day_offset
                      - previous_period
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  dates:
                    - '2025-11-17'
                    - '2025-11-18'
                    - '2025-11-19'
                    - '2025-11-20'
                    - '2025-11-21'
                    - '2025-11-22'
                    - '2025-11-23'
                  current_period:
                    - revenue: 6284.658974
                      impressions: 571135
                    - revenue: 6359.95441
                      impressions: 621809
                    - revenue: 6081.900432
                      impressions: 622235
                    - revenue: 5509.869959
                      impressions: 578912
                    - revenue: 5224.176689
                      impressions: 606658
                    - revenue: 4537.890002
                      impressions: 587187
                    - revenue: 3914.864338
                      impressions: 469885
                  seven_day_offset:
                    - revenue: 5825.828681
                      impressions: 490441
                    - revenue: 5515.939603
                      impressions: 475426
                    - revenue: 8266.190103
                      impressions: 594594
                    - revenue: 6435.707133
                      impressions: 533811
                    - revenue: 6287.802826
                      impressions: 533826
                    - revenue: 3618.160349
                      impressions: 336794
                    - revenue: 3867.760196
                      impressions: 338900
                  previous_period:
                    - revenue: 5825.828681
                      impressions: 490441
                    - revenue: 5515.939603
                      impressions: 475426
                    - revenue: 8266.190103
                      impressions: 594594
                    - revenue: 6435.707133
                      impressions: 533811
                    - revenue: 6287.802826
                      impressions: 533826
                    - revenue: 3618.160349
                      impressions: 336794
                    - revenue: 3867.760196
                      impressions: 338900
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````